/**
 * Test case for setup.
 * Runs with mocha.
 */
'use strict'

const setup = require('../lib/setup.js')
const coz = require('coz')
const co = require('co')
const fs = require('fs')
const path = require('path')
const assert = require('assert')

describe('setup', () => {
  let tmpDir = `${__dirname}/../tmp`

  before(() => co(function * () {
  }))

  after(() => co(function * () {
  }))

  it('Setup', () => co(function * () {
    let buds = [].concat(
      setup({})
    )
    for (let bud of [].concat(buds)) {
      bud.path = path.join(tmpDir, bud.path)
      bud.mkdirp = true
      bud.force = true
      yield coz.render(bud)
      assert.ok(
        fs.existsSync(bud.path)
      )
    }
  }))
})

/* global describe, before, after, it */

